<template>
    <div class="side-bar-container">
        <BSidebar
            class="sidebar"
            id="sidebar-1"
            width="250px"
            bg-variant="primary"
            z-index="1"
            no-close-on-route-change
            no-close-on-esc
            no-close-on-backdrop
            no-slide
            visible
        >
            <div class="px-3 py-2 pt-4">
                <p class="sidebar-title">Post</p>
                <router-link to="/article">
                    <p class="sidebar-links">All Articles</p>
                </router-link>
                <router-link to="/article/create">
                    <p class="sidebar-links">New Article</p>
                </router-link>
            </div>
        </BSidebar>
        <div class="toggle-icon" v-b-toggle.sidebar-2>
            <BIconList icon="list" variant="light" class="h3" />
        </div>
        <BSidebar
            class="responsive-sidebar"
            id="sidebar-2"
            title="Arvan Challenge"
            header-class="font-weight-light h5 lead"
            width="250px"
            bg-variant="primary"
            text-variant="light"
            z-index="25"
        >
            <div class="px-3 py-2 pt-4">
                <p class="sidebar-title">Post</p>
                <router-link to="/article">
                    <p class="sidebar-links">All Articles</p>
                </router-link>
                <router-link to="/article/create">
                    <p class="sidebar-links">New Article</p>
                </router-link>
            </div>
        </BSidebar>
    </div>
</template>

<script>
import { BIconList } from 'bootstrap-vue';
export default {
    name: 'AppSidebar',
    components: {
        BIconList,
    },
};
</script>

<style scoped lang="scss">
.toggle-icon {
    outline: none;
}
.responsive-sidebar {
    display: none;
}
.sidebar-title {
    font-size: 22px;
    line-height: 1.23;
    color: white;
}
.sidebar-links {
    font-size: 18px;
    line-height: 1.22;
    color: white;
    margin-left: 20px;
}
@media (max-width: 1000px) {
    .sidebar {
        display: none;
    }
    .responsive-sidebar {
        display: block;
    }
    .side-bar-container {
        position: fixed;
        top: 14px;
        z-index: 30;
    }
}
</style>
